<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra el formulario para adicionar un nuevo producto a la solicitud
@cu 			CU-TV-PR-001
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros
@param			idTablaPCAsociadosParam: Id de la tabla que muestra los productos catastrales asociados 
                                        a la solicitud
@modified by leidy.gonzalez:: #12939:: 09/06/2015 Se modifica atributos de h:inputText
para la cantidad adicionar del producto.
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="adicionarProductoSolForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsProducto" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <p:fieldset>

        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="2">
                <h:outputLabel value="Grupo de productos: " for="grupoProductos"
                               style="width: 200px; min-width: 200px"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:selectOneMenu id="grupoProductos" 
                             required="true"
                             style="width: 300px; max-width: 300px"
                             disabled="#{managedBeanParam.editarProductoCatastral}"
                             requiredMessage="Debe seleccionar el grupo de productos"
                             value="#{managedBeanParam.grupoProductoSeleccionado.id}" label="Grupo de productos">
                <f:selectItems value="#{general.grupoProductosV}" />
                <p:ajax listener="#{managedBeanParam.buscarProductoPorGrupoId}" update="codigoProducto" process="@this"/>
            </h:selectOneMenu>

            <h:panelGrid columns="2">
                <h:outputLabel value="Código: " for="codigoProducto"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:selectOneMenu id="codigoProducto" 
                             required="true"
                             style="width: 300px; max-width: 300px"
                             requiredMessage="Debe seleccionar el código de producto"
                             disabled="#{managedBeanParam.editarProductoCatastral}"
                             value="#{managedBeanParam.productoSeleccionado.codigo}" label="Código de producto">
                <f:selectItem itemLabel="Seleccionar..." itemValue="" /> 
                <f:selectItems value="#{managedBeanParam.productoPorGrupoV}" />
                <p:ajax listener="#{managedBeanParam.buscarProductoPorCodigo}" update="descripcionProducto"/>
            </h:selectOneMenu>

            <h:panelGrid columns="2">
                <h:outputLabel value="Descripción producto: "
                               style="width: 200px; min-width: 200px"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputTextarea value="#{managedBeanParam.productoSeleccionado.nombre}"
                             disabled="true" cols="300"
                             id="descripcionProducto" style="height: 50px; max-width: 300px" />

            <h:panelGrid columns="2">
                <h:outputLabel value="Cantidad: " for="cantidadProducto"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputText value="#{managedBeanParam.productoCatastralSeleccionado.cantidad}"
                         id="cantidadProducto"
                         label="Cantidad producto" maxlength="5" required="true">
                <f:validateLongRange minimum="1" maximum="99999"/>
            </h:inputText>

        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="10"/>
    <div style="text-align: center">
        <p:commandButton value="Aceptar" style="text-align: center"
                         icon="ui-icon ui-icon-circle-plus"
                         update="msgsProducto, #{idTablaPCAsociadosParam}, :adicionarProductoSolForm"
                         action="#{managedBeanParam.adicionarProductoCatastralAsociadoASolicitud}"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status,args, adicionarProductoWV, false);"
                         process="@form"/>

    </div>

</h:form>

